Field Array Element Access * This group of functions is for getting an array of field elements
Basic Data Access

of a certain data type. More...

## Functions

const char * | epr_get_field_elems_char (const EPR_SField *field)
const uchar * | epr_get_field_elems_uchar (const EPR_SField *field)
const short * | epr_get_field_elems_short (const EPR_SField *field)
const ushort * | epr_get_field_elems_ushort (const EPR_SField *field)
const int * | epr_get_field_elems_int (const EPR_SField *field)
const uint * | epr_get_field_elems_uint (const EPR_SField *field)
const float * | epr_get_field_elems_float (const EPR_SField *field)
const double * | epr_get_field_elems_double (const EPR_SField *field)

## Detailed Description

of a certain data type.

If the given field is not of the expected type, the functions return `NULL`.

Parameters

  field | the field, must not be `NULL`

Returns
  the data array of the expected type or `NULL` if the field is of a different type

## Function Documentation

## epr_get_field_elems_char()

const char * epr_get_field_elems_char | ( | const EPR_SField * | field | ) |

## epr_get_field_elems_uchar()

const uchar * epr_get_field_elems_uchar | ( | const EPR_SField * | field | ) |

## epr_get_field_elems_short()

const short * epr_get_field_elems_short | ( | const EPR_SField * | field | ) |

## epr_get_field_elems_ushort()

const ushort * epr_get_field_elems_ushort | ( | const EPR_SField * | field | ) |

## epr_get_field_elems_int()

const int * epr_get_field_elems_int | ( | const EPR_SField * | field | ) |

## epr_get_field_elems_uint()

const uint * epr_get_field_elems_uint | ( | const EPR_SField * | field | ) |

## epr_get_field_elems_float()

const float * epr_get_field_elems_float | ( | const EPR_SField * | field | ) |

## epr_get_field_elems_double()

const double * epr_get_field_elems_double | ( | const EPR_SField * | field | ) |